$
$ Copyright 2003 Sun Microsystems, Inc. All rights reserved .
$ Use is subject to license terms.
$

$ #ident "@(#)cmttest.msg 1.9 03/07/08 SMI"

$ VERBOSE/DEBUG 
1	"%s subtest starts:  cmt=%d, cpu_id=%d"
2	"%s subtest ends"
3	"Testing  cmt=%d (core cpu ids=%s), ecache_size=%d, ecache_line_size=%d"
4	"Created thread for cpu_id=%d, thread_id=%d"
5	"Finished all subtests:  cmt=%d, cpu_id=%d"
6	"%s subtest starts:  cmt=%d"
7	"Message received: Type %d %s"
8	"Selected  cmt=%d for testing"
9	"All CMTs with at least two online cores are selected for testing" 
10	"Start ECC Monitor"
11	"%s subtest ended:   cmt=%d, cpu_id=%d"
12	"cmts= option value %s is an invalid CMT"
13	"System call %s failure: %s"
$ CONSOLE 
1000	%s specific arguments: \n\
	cmts	= CPU ids of any one of the Cores in a CMT   \n\
	    	  Note: the ids string format: 0+1+2+... \n\
	          eg: cmts=0+1+2+3 \n\
	              Here 0, 1, 2, 3 refers the CPU ids of one the Cores \n\
		      in the CMTs  \n\
	em   	= Enabled|Disabled ECC monitor [Disabled]\n\
	threshold = Max number of ECC error reports [1] \n\
	perf	= Enabled|Disabled performance counter [Disabled] \n

$ INFO
2001	"SUNWcpc, SUNWcpcu(x) package not installed, Performance counters will not be available."
2002    "When only single core in a CMT( cmt=%d, cpu_id=%d) is active, bandwidth = %lld MB/sec"

2003	"When all the cores in a CMT( cmt=%d) are active, bandwidth = %lld MB/sec"
2004	\nECC error summary (After reaching the Threshold)\n\
Found %d new ECC errors during the current pass\n\
Will Terminate cmttest instance#%d through pass#%d\n\
Test will  continue to run if run_on_error! is set system wide\n\n\t%s
2005	\nSummary of New ECC errors found while completing pass# %d \
(instance %d)
2006	\n\Found %d persistent ECC errors on %s\n
2007	\n\Found %d sticky ECC errors on %s\n
2008	\n\Found %d intermittent ECC errors on %s\n
2009	\n\Found %d ECC errors on %s
$ WARNING 4000-4999
4001	"cmdline cmts= option value is null. Use the default value=all CMTs"
4002	"Perfcounters Disabled as perfcounters MC_read and MC_write are not available on CPUs"
4005	"vts lib call %s failure: %s"
4008	"Performance counters will not be available"
4009	"cpc library version mismatch: %s"
4010	"cpc library function call %s failed : %s"
4011	"Can't measure Events : %s"
4012	"Can't bind cpc event to lwp %d, %s: %s"

$ FATAL 8000-9998
8000	"No CMT for testing. Please make sure at least one CMT with at least two online cores exists"
8001	"Illegal cmttest option"
8002	"cmts= option value %s has wrong format" 
8003	"System call %s failure: %s"
8004	"cpu %d binding failure: %s"
8005	"cmttest does not support the platform"
8006    "cmts= option value %s is not a CMT  that cmttest can test" 

$ ERROR

6000	"Failed on read & compare: cpu_id=%d, read=%x, exp=%x" \n\
Probable_Cause(s): <Bad Processor?> <Bad Memory?> <System error?> Recommended_Action(s): <Isolate the error> <If the problem persists, call your authorized Sun service provider.>
6002	Stopping after finding %d ECC errors \n\
For more details on ECC errors occurred, see system log files\n\t%s\n

$ -----------------------------------------------------------------------
$ PROBE messages
$ -----------------------------------------------------------------------
10001   "System call %s failure: %s"
10002	"ERROR:Perf Counters set to disabled as perfcounters \n\
	MC_read and MC_write are not available on this CPU"
 
